SOURCES: stlport-config.in (NEW), stlport-debug.pc.in (NEW), stlpo...

glen glen at pld-linux.org
Fri May 2 15:12:14 CEST 2008


Author: glen                         Date: Fri May  2 13:12:14 2008 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- templates from http://rpm.pbone.net/index.php3/stat/26/dist/0/size/741892/name/STLport-4.5.3-9064.src.rpm

---- Files affected:
SOURCES:
   stlport-config.in (NONE -> 1.1)  (NEW), stlport-debug.pc.in (NONE -> 1.1)  (NEW), stlport.pc.in (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/stlport-config.in
diff -u /dev/null SOURCES/stlport-config.in:1.1
--- /dev/null	Fri May  2 15:12:14 2008
+++ SOURCES/stlport-config.in	Fri May  2 15:12:09 2008
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec_prefix_set=yes
+
+usage="\
+Usage: stlport-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]"
+
+if test $# -eq 0; then
+      echo "${usage}" 1>&2
+      exit 1
+fi
+
+while test $# -gt 0; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case $1 in
+    --prefix=*)
+      prefix=$optarg
+      if test $exec_prefix_set = no ; then
+        exec_prefix=$optarg
+      fi
+      ;;
+    --prefix)
+      echo $prefix
+      ;;
+    --exec-prefix=*)
+      exec_prefix=$optarg
+      exec_prefix_set=yes
+      ;;
+    --exec-prefix)
+      echo $exec_prefix
+      ;;
+    --version)
+      echo @VERSION@
+      ;;
+    --cflags)
+      includes="-I at includedir@/stlport -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 "
+      echo $includes
+      ;;
+    --libs)
+      libdirs=-L at libdir@/lib
+      echo $libdirs -lstlport_gcc -lpthread -lstdc++ -lm 
+      ;;
+    *)
+      echo "${usage}" 1>&2
+      exit 1
+      ;;
+  esac
+  shift
+done
+
+exit 0

================================================================
Index: SOURCES/stlport-debug.pc.in
diff -u /dev/null SOURCES/stlport-debug.pc.in:1.1
--- /dev/null	Fri May  2 15:12:14 2008
+++ SOURCES/stlport-debug.pc.in	Fri May  2 15:12:09 2008
@@ -0,0 +1,10 @@
+prefix=@prefix
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+Name: STLport
+Description: SGI STLPort with debug support
+Version: @ver@
+Requires: 
+Libs: -L at libdir@ -lstlport_gcc_stldebug -lpthread -lstdc++ -lm 
+Cflags: -I at includedir@/stlport -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

================================================================
Index: SOURCES/stlport.pc.in
diff -u /dev/null SOURCES/stlport.pc.in:1.1
--- /dev/null	Fri May  2 15:12:14 2008
+++ SOURCES/stlport.pc.in	Fri May  2 15:12:09 2008
@@ -0,0 +1,10 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+Name: STLport
+Description: SGI STLPort
+Version: @ver@
+Requires: 
+Libs: -L at libdir@ -lstlport_gcc -lpthread -lstdc++ -lm 
+Cflags: -I at includedir@/stlport -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
================================================================


More information about the pld-cvs-commit mailing list